function [output] = homogenous(T, input);

% HOMOGENOUS applies a 3D homogenous coordinate transformation
% to the input coordinates
%
% Use as
%   [output] = homogenous(H, input)
% where
%   H		homogenous coordinate transformation matrix (4x4)
%   input	Nx3 matrix with the points before transformation
%   output	Nx3 matrix with the points after transformation

% Copyright (C) 2000-2004, Robert Oostenveld
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

% $Log: homogenous.m,v $
% Revision 1.1  2004/05/19 09:57:07  roberto
% added GPL copyright statement, added CVS log item
%

input(:,4) = 1;
output = (T * (input'))';
output = output(:,1:3);
